@echo    ****************************************
@echo    *     Making Descartes Jar Files       *
@echo    *       Takes about 5 seconds          *
@echo    ****************************************
@del build\*.jar
@cd classes
REM      *******************************
REM      * Variable para las firmas    *
REM      *******************************
set keystore=./descartes.keystore
set stPass=1945leon
set alias=jlabreu
REM      *******************************
REM      * Creando los jars            *
REM      *******************************
@set path="C:\Archivos de programa\Java\jdk1.7.0_45\bin\";%path%
@jar -cfm ..\build\Descartes2.jar META-INF/MANIFEST.MF org\unam\matem Descartes.class DescartesBasico.class D2.class common\DescartesInterface.class resources\logos com\jla\desc2 com\jla\nippe\AbstractNippe.class edu\cr\descartes\copyright.class com\mja\gui\editFrame.class com\mja\gui\mjaWindow.class com\mja\gui\editWindowButtons.class com\mja\file\mjaFile.class com\mja\file\mjaFont.class com\mja\util\BasicStr.class com\mja\util\TFont.class

@jar -cfm ..\build\Descartes5.jar META-INF/MANIFEST.MF org\unam\matem edu\cr DescartesJS.class DescartesBasico.class Descartes.class D5.class Arquimedes.class Arq.class Discurso.class ArquimedesItem.class RunDescartes.class importDataToHtml.class common\DescartesInterface.class resources\D_loader.png resources\A_loader.jpg resources\logos resources\images resources\macros resources\fuentes\DESCARTES.TTF resources\idiomas\Tr__index.txt resources\idiomas\Tr_english.txt resources\idiomas\Tr_espanol.txt resources\idiomas\Tr_catala.txt resources\idiomas\Tr_euskera.txt resources\idiomas\Tr_francais.txt resources\idiomas\Tr_galego.txt resources\idiomas\Tr_italiano.txt resources\idiomas\Tr_portugues.txt resources\idiomas\Tr_valencia.txt resources\idiomas\espanol resources\items\items.properties com\jla\calc com\jla\nippe\AbstractNippe.class com\jla\nippe\NotSoAbstractNippe.class com\jla\nippe\doLMS.class com\jla\nippe\LMSApplet.class com\mja\cmp com\mja\descartes com\mja\descedit com\mja\descgui com\mja\file com\mja\gui com\mja\guiedit com\mja\img\imageCanvas.class com\mja\krypto com\mja\lang com\mja\math com\mja\math3D com\mja\parser\Algorithm.class com\mja\parser\exprCfg.class com\mja\parser\Node.class com\mja\parser\Parser.class com\mja\poly com\mja\text com\mja\textedit com\mja\util edu\lite\radial com\jla\sound org\tritonus javazoom META-INF
@jar -cfm ..\build\Descartes5_NoEdit.jar META-INF/MANIFEST.MF org\unam\matem edu\mec DescartesJS.class DescartesBasico.class Descartes.class D5.class Arquimedes.class Arq.class Discurso.class ArquimedesItem.class common\DescartesInterface.class resources\D_loader.png resources\A_loader.jpg resources\logos resources\images resources\macros resources\fuentes\DESCARTES.TTF resources\idiomas\Tr__index.txt resources\idiomas\Tr_english.txt resources\idiomas\Tr_espanol.txt resources\idiomas\Tr_catala.txt resources\idiomas\Tr_euskera.txt resources\idiomas\Tr_francais.txt resources\idiomas\Tr_galego.txt resources\idiomas\Tr_italiano.txt resources\idiomas\Tr_portugues.txt resources\idiomas\Tr_valencia.txt resources\items\items.properties com\jla\calc com\jla\nippe\AbstractNippe.class com\jla\nippe\NotSoAbstractNippe.class com\jla\nippe\LMSApplet.class com\mja\cmp com\mja\descartes com\mja\descgui com\mja\file com\mja\img\imageCanvas.class com\mja\gui com\mja\krypto com\mja\lang\data.class com\mja\lang\translator.class com\mja\lang\Expl.class com\mja\math META-INF/MANIFEST.MF com\mja\math3D com\mja\parser\Algorithm.class com\mja\parser\exprCfg.class com\mja\parser\Node.class com\mja\parser\Parser.class com\mja\poly com\mja\text com\mja\util edu\lite\radial META-INF
@jar -cfm ..\build\Descartes5_Algebra.jar META-INF/MANIFEST.MF DescartesA.class doc\DescartesA.txt com\jla\nippe\comm.class com\mja\algebra com\mja\cmpedit com\mja\parser\Node_A.class com\mja\parser\Node_R.class com\mja\textedit\EditorCanvas.class com\jla\sound org\tritonus javazoom META-INF
@jar -cfm ..\build\Descartes5_Sonido.jar META-INF/MANIFEST.MF com\jla\sound org\tritonus javazoom META-INF
@jar -cfm ..\build\Descartes5_Registro.jar META-INF/MANIFEST.MF com\jla\nippe\doLMS.class org\cnice\rad\client org\cnice\rad\common org\cnice\rad\learner META-INF
REM      *******************************
REM      *     Firmas                  *
REM      *******************************
jarsigner -keystore %keystore% -storepass %stPass% ../build/Descartes2.jar %alias%
jarsigner -keystore %keystore% -storepass %stPass% ../build/Descartes5.jar %alias%
jarsigner -keystore %keystore% -storepass %stPass% ../build/Descartes5_NoEdit.jar %alias%
jarsigner -keystore %keystore% -storepass %stPass% ../build/Descartes5_Algebra.jar %alias%
jarsigner -keystore %keystore% -storepass %stPass% ../build/Descartes5_Sonido.jar %alias%
jarsigner -keystore %keystore% -storepass %stPass% ../build/Descartes5_Registro.jar %alias%
REM      ********************************
REM      * Creando el editor, y firmando*
REM      ********************************
@copy ..\build\Descartes5_NoEdit.jar ..\build\Arquimedes.jar
@xcopy ..\build\*.jar resources /S /Q /Y
@jar -cfm ..\build\Descartes.jar META-INF/EDITOR.MF Arquimedes.class Arq.class Descartes.class D5.class DescartesJS.class DescartesBasico.class Item.class Discurso.class RunDescartes.class importDataToHtml.class com common doc edu javazoom org jxl resources
jarsigner -keystore %keystore% -storepass %stPass% "../build/Descartes.jar" %alias%
REM      ********************************
REM      * Saliendo al otro *
REM      ********************************
@del resources\*.jar
@cd ..\