/*
_____________________________________________

Descartes. Interactive Mathematics for Teaching and Learning
This program is free software; you can redistribute it and/or 
modify it under the terms of the European Public License 
(EUPL) v 1.1 as published by the IDABC (see http://ec.europa.eu/idabc/). 

Developing institutions
- Instituto de Tecnologas Educativas del Ministerio de Educacin de Espaa
- Instituto de Matemticas de la Universidad Nacional Autnoma de Mxico

Software development: Jos Luis Abreu Len, Marta Oliver Serrat
Functional Design: Jos Luis Abreu Len, Juan Madrigal Muga, Jos R. Galo Snchez

Copyright by Ministerio de Educacin de Espaa.

This programme is distributed in good faith, but WITHOUT ANY WARRANTY, not even
with the implicit warranties of USABILITY or FITNESS FOR A CONCRETE PURPOSE.
For more information consult the EUPL License European Public License. 

You should have received a copy of the EUPL European Public License along with this 
program. If not, see http://ec.europa.eu/idabc/servlets/Docbb6d.pdf?id=31979
_____________________________________________

Descartes. Matemticas interactivas para la enseanza y el aprendizaje
Este programa es software libre; usted tiene derecho a redistribuirlo y/o
a modificarlo bajo los trminos de la Licencia pblica europea 
(EUPL) v 1.1 publicados por la IDABC (ver  http://ec.europa.eu/idabc/).

Instituciones desarrolladoras:
- Instituto de Tecnologas Educativas del Ministerio de Educacin de Espaa
- Instituto de Matemticas de la Universidad Nacional Autnoma de Mxico

Desarrollo de software: Jos Luis Abreu Len, Marta Oliver Serrat
Diseo funcional: Jos Luis Abreu Len, Juan Madrigal Muga, Jos R. Galo Snchez

Derechos de explotacin propiedad del Ministerio de Educacin de Espaa.

Este programa se distribuye de buena fe, pero SIN NINGUNA GARANTA, incluso sin 
las presuntas garantas implcitas de USABILIDAD o ADECUACIN A PROPSITO CONCRETO. 
Para mas informacin consulte la Licencia EUPL European Public License.

Usted debe haber recibido una copia de la Licencia EUPLjunto con este 
programa, si por algn motivo no le es posible visualizarla, puede consultarla en
la siguiente URL: http://ec.europa.eu/idabc/servlets/Docb4f4.pdf?id=31980
_____________________________________________

*/
package com.mja.D3;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import com.mja.util.*;
import com.mja.math.*;
import com.mja.math3D.*;
import com.mja.gui.*;
import com.mja.descgui.*;
import com.mja.parser.*;
import com.mja.poly.*;
import com.mja.lang.*;
import com.mja.text.*;
import com.mja.descartes.*;

public class SpaceD3 extends Space {

	public SpaceD3(Descartes D,spaceConfig sc) {
		super(D,sc);
	}

/* -----------------------   Overwrites  -------------------------*/

	public String toTeX(boolean grayscale) {
		return "";
	} 

//	void getSpaceParameters(Dimension d) {
//		super.getSpaceParameters(d);
//	}
//
//	void start() {
//		if (isVisible()) {
//			super.start();
//		}
//	}

/* ------------------ Implementation of Space --------------------*/


	protected R2 projection(R2 p) {
		return new R2(0,0);
	}

	protected R2 injection(double x,double y) {
		return new R2(0,0);
	}

	synchronized protected void doCalc() {	// synchronized para que no interfieran el run y el mouseDragged
	}
	
	protected void doFront(boolean calc) {
		if (isVisible()) {
			gmain.drawImage(back,0,0,this);
			drawD3Things();
			super.doFront(calc);
		}
	}
	
	void drawD3Things() {
	}


	protected void writeCoordinates(Graphics g,int x, int y) {
		if (isVisible()) {
		}
	}

	protected boolean onDrag(boolean right,int dx,int dy) {
		if (right) {
		} else {
		}
		return false;
	}

	protected void stopMoving() {
	}

	protected boolean isMoving() {
		return false;
	}

	protected void flushImages() {
//		for (int i=0;i<D.scene.graph.length;i++) {
//			if (D.scene.graph[i].ith!=null) {
//				D.scene.graph[i].ith.pleaseStop();
//			}
//		}
//		for (int i=0;i<D.scene.graph.length;i++) {
//			if (D.scene.graph[i].image!=null) {
//				D.scene.graph[i].flush();
//			}
//		}
	}
}