package com.mja.descedit.descartesJS;

import java.awt.Component;
import java.awt.Frame;
import java.awt.event.ItemEvent;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;

import com.mja.descartes.auxConfig;
import com.mja.descedit.auxEL;
import com.mja.descgui.edit.editObject;
import com.mja.lang.data;
import com.mja.lang.translator;

public class ProgramEditorList extends auxEL {

	public ProgramEditorList(Frame parent,Component mch_c,ProgramEditorPane programEditorPane) {
		super (parent,mch_c,programEditorPane);
		B_delete.setEnabled(false);
		B_duplicate.setEnabled(false);
		sc.setEnabled(false);
	}
	public void setInfo(translator Tr, editObject[] pca) {
		super.setInfo(Tr, pca);
		setTitle("Programa"); //Obligamos a que sea el nombre de la lista
		eTF.removeTypes();
		int[] auxix = {data.event};
		String[] defaultExpresion = {"e?"};
		for (int i=0;i<auxix.length; i++) {
			eTF.addType(Tr.getTr(auxix[i]),defaultExpresion[i]);
		}
	}


	/**
	 * 
	 */
	private static final long serialVersionUID = 3558681830133825220L;

	
	
	
/*
 * (non-Javadoc)
 * @see com.mja.descedit.editList#keyTyped(java.awt.event.KeyEvent)
 * Para que no se pueda editar ni con el teclado
 */
	public void keyTyped(KeyEvent e) {}
	public void keyPressed(KeyEvent e) {}
	public void keyReleased(KeyEvent e) {}
	
	public void mouseReleased(MouseEvent e) {
		boolean puedeCambiarItem = true;
		if (e.getSource() == pl) {
			int selIndex = pl.getSelectedIndex();
			Object obj = pV.get(selIndex);
			auxConfig aux = (auxConfig)obj;
			if(aux.type == data.alg){
				puedeCambiarItem = false;
			}
		}
		B_delete.setEnabled(puedeCambiarItem);
		B_duplicate.setEnabled(puedeCambiarItem);
		sc.setEnabled(puedeCambiarItem);
		super.mouseReleased(e);
	}
	@Override
	public void mousePressed(MouseEvent e) {
		if (e.getSource()== sc) {
			boolean paraArriba = e.getY()<sc.getSize().height/2; 
			
			int selIndex = pl.getSelectedIndex();
			
			if(paraArriba && selIndex < 3)
				return;
		}
		super.mousePressed(e);
	}
	@Override
	protected synchronized void spinStep() {
		if (sc.up) {
			int selIndex = pl.getSelectedIndex();
			if (selIndex < 3) 
				return;
		}
		super.spinStep();
	}
	
	
	
}
