package org.unam.matem;

import java.applet.Applet;
import java.util.Vector;

public abstract class Communicator extends Applet {
	
	public abstract Attribute[] getState(); 
	public abstract void changed(Communicator cc); 
	
	private Vector<Communicator> commV=new Vector<Communicator>();

	public Communicator[] getRegistered() {
		Communicator[] CA=new Communicator[commV.size()];
		for (int i=0;i<commV.size();i++) {
			CA[i]=commV.elementAt(i);
		}
		return CA;
	}

	private boolean isRegistered(Communicator comm) {
		return commV.contains(comm);
	}
	
	public void addCommunicator(Communicator comm) {
		if (!isRegistered(comm)) {
			commV.addElement(comm);
		}
	}
	
	public void sendChanges() {
		for (int i=0;i<commV.size();i++) {
			Communicator comm=commV.elementAt(i);
			comm.changed(this);
		}
	}

}

